/api/users/{id}
Delete another user by ID, optionally cascading deletion of their files and URLs (admin only).
DELETE
/api/users/{id}Path Parameters
id*string
Request Body
application/json
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/users/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "username": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "role": "USER", "view": { "enabled": true, "disableTextFiles": true, "align": "left", "showMimetype": true, "showTags": true, "showFolder": true, "content": "string", "embed": true, "embedMediaOnly": true, "embedTitle": "string", "embedDescription": "string", "embedColor": "string", "embedSiteName": "string" }, "avatar": "string", "quota": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "filesQuota": "BY_BYTES", "maxBytes": "string", "maxFiles": -2147483648, "maxUrls": -2147483648, "userId": "string" }}